using System.Collections;
using System.Collections.Generic;
using RPG_Fight_Test.Assets.Scripts.Weapons;
using UnityEngine;

public class Human : Creature {

    // Start is called before the first frame update
    void Start() {
        Dex = Random.Range(0, 100);
        movementRate = 30;
        CreatureHealth = Random.Range(20, 30);
        CurrentHealth = CreatureHealth;
        MaxHealth = CreatureHealth;
        IsCreatureAlive = true;

        PrimaryWeapon = new ShortSword();
        PrimaryWeapon.AttackProficiency = 45;

        Evade = 20;
    }

    // Update is called once per frame
    void Update() {

    }

    public override void DecideActions(List<Creature> combatants) {
        SetFirstAction(new AttackAction(this, combatants[0]));
        SetSecondAction(new AttackAction(this, combatants[0]));
    }


    public override IAction ActionWhenBlocked(Creature blockingCreature) {
        return null;
    }
}
